Page MenuHomePhabricator

Gsoc Proposal: Design and Develop a tool to correct false depicts claims manually on Wikimedia Commons
Closed, DeclinedPublic

Description

Profile

Bakare Samuel Ayomiku
IRC nickname: saamlegend
Email: bakareayomiku@gmail.com
Github: https://github.com/saamlegend
Link to fixed bug: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CheckUser/+/585877
Location: Lagos,Nigeria
Typical working hours: 8am to 2pm (GMT +1)

Synopsis

The project is aimed to Design and Develop a tool to correct false depicts claims manually on Wikimedia Commons,

  1. The tool will enable volunteers to have be able to correct most of the depicts claims which have been entered as structured data while uploading images on Wikimedia Commons with the aim of manually identifying and removing unclear claims.
    1. Users will have access to more structured and accurate data.
    2. Volunteers will easily depict claims with is the main function of the tool. Enabling better and more accurate data.

This tool will be built with technologies like Python, Javascript and related libraries, HTML/CSS, SQL.

@Eugene233 , @NavinoEvans

Period Task

May 4 - June 1 Community bonding Period Understanding the tools to work with the extensions. Studying the Widgets and their working

with the library. Discussing the aims to work with the page list. This will give time for familiarity between participants and 
mentors. To furthermore, creation of mockup designs (i.e possible designs for the tool) , creating of repositories or modification of already existing.

June 1 - August 24 Students work on their Google Summer of Code projects.

Modification of repositories. Implementing already made designs into codes and continuous modification of features.

June 29 - July 3 Mentors and students submit their evaluations of one another. These evaluations are a required step of the program.
July 27 - 31 Final updates of repository.

August 24 - 31 Students submit their code, project summaries, and final evaluations of their mentors.

Finally host codes on ToolForge.

August 31 - Sept 7 Mentors review student code samples and determine if the students have successfully completed their Google Summer of Code 2020 project.

September 8 Students are notified of the pass/fail status of their Google Summer of Code 2020 project.

The first version of this tool should be launched at the end of the said program, then full usage begins from there

Participation

  • Will actively contribute to project code will reside on Gerrit.
  • Will finally host the ToolForge.
  • Will be working more than 40 hours a week.
  • Will stay engaged on Phabricator.
  • Will be available on Zulip or IRC during working hours.
  • Will be available on email outside working hours.
  • Will be writing be documenting the process all through.

About Me

Tell us about a few:
I am an undergraduate currently in my penultimate year studying Chemical and Polymer Engineering. However because of my wide range of interest, i have developed great passion for technology and the need to serve i.e solving problems locally and globally. This is a major learning experience for me something i have anticipated for so long. I will definitely be giving my best to this.
I keep looking for opportunities to grow and fortunately a friend mentioned the program to me. I am been anticipating ever since.

  • Apart from this program i will be committed to school as well however, this is not in any way a problem as i can confidently manage my time effectively.
  • No i won't be applying for Outreachy as well i learnt about their program recently.
  • Making this project means everything to me right now because i strongly feel this will usher me into a new season of growth and development. It will also kick start my career as a developer. I really look forward to this opportunity.

Past Experience

-HNG internship; this was really demanding being engage in full website development using html,css , javascript react.
-ALC grow with google; worked closely with mentor and projects. Had an amazing learning experience. some of the technologies used include; Javascript, python.
-A Participant of Start.ng training.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2020, 10:51 AM

Hi @Saamlegend! Could you please also link to any previous contribution(s) to technical Wikimedia projects? See "Fix small bugs" on https://www.mediawiki.org/wiki/Google_Summer_of_Code/Participants#Application_process_steps - Thanks!

Thank you @Aklapper I am sorry it took a while to reply.

Here's the link to the bug i fixed.
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CheckUser/+/585877

Saamlegend updated the task description. (Show Details)Apr 4 2020, 11:59 AM

Thanks @Saamlegend! That patch was uploaded four days after the GSoC 2020 application deadline.

Yes I completed it on the task before the deadline. But I was unable to upload it.

Pavithraes closed this task as Declined.May 5 2020, 6:30 PM
Pavithraes added a subscriber: Pavithraes.

@Saamlegend We are sorry to say that we could not allocate a slot for you this time. Please do not consider the rejection to be an assessment of your proposal. We received over 100 quality applications, and we could only accept 14 students. We were not able to give all applicants a slot that would have deserved one, and these were some very tough decisions to make. Please know that you are still a valued member of our community and we by no means want to exclude you. Many students who we did not accept in 2019 have become Wikimedia maintainers, contractors and even GSoC students and mentors this year!

If you would like a de-brief on why your proposal was not accepted, please let me know as a reply to this comment or on the ‘Feeback on Proposals’ topic of the Zulip stream #gsoc20-outreachy20. I will respond to you within a week or so. :)

Your ideas and contributions to our projects are still welcome! As a next step, you could consider finishing up any pending pull requests or inform us that someone has to take them over. Here is the recommended place for you to get started as a newcomer: https://www.mediawiki.org/wiki/New_Developers.

If you would still be eligible for GSoC next year, we look forward to your participation!